Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1671 - RPM 2.5.5 (RH5.2) segfaults on upgrading, e.g. wmconfig
Summary: RPM 2.5.5 (RH5.2) segfaults on upgrading, e.g. wmconfig
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.2
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-22 14:46 UTC by David Woodhouse
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-16 21:35:17 UTC


Attachments (Terms of Use)

Description David Woodhouse 1999-03-22 14:46:40 UTC
RPM segfaults and dies on upgrading a number of packages,
even immediately after 'rpm --rebuilddb'. For example, on
upgrading wmconfig from wmconfig-0.6-1 to...

Name        : wmconfig                    Distribution:
OpenLinux 1.2
Version     : 1.0                               Vendor:
Caldera, Inc.
Release     : 2                             Build Date: Wed
Jan  7 11:32:18 1998
Install date: (not installed)               Build Host:
buildmeister.caldera.com
Group       : System/Desktop                Source RPM:
wmconfig-1.0-2.src.rpm
Size        : 248976                           License: GPL



DDD 3.0 (i586-pc-linux-gnulibc1), by Dorothea L|tkehaus and
Andreas Zeller.
Copyright ) 1998 Technische Universitdt Braunschweig,
Germany.
(gdb) run -Uhv /inst/redhat/extras/wmconfig-1.0-2.i386.rpm
Starting program: /usr/src/redhat/BUILD/rpm-2.5.5/./rpm -Uhv
/inst/redhat/extras/wmconfig-1.0-2.i386.rpm
warning: /etc/X11/wmconfig/AfterStep.M4 saved as
/etc/X11/wmconfig/AfterStep.M4.rpmorig
warning: /etc/X11/wmconfig/Common.M4 saved as
/etc/X11/wmconfig/Common.M4.rpmorig
warning: /etc/X11/wmconfig/Fvwm1.M4 saved as
/etc/X11/wmconfig/Fvwm1.M4.rpmorig
warning: /etc/X11/wmconfig/WmConfig saved as
/etc/X11/wmconfig/WmConfig.rpmorig
warning: /etc/X11/wmconfig/desk saved as
/etc/X11/wmconfig/desk.rpmorig
warning: /etc/X11/wmconfig/rc saved as
/etc/X11/wmconfig/rc.rpmorig
warning: /etc/X11/wmconfig/rc.bindings saved as
/etc/X11/wmconfig/rc.bindings.rpmorig
warning: /etc/X11/wmconfig/rc.config saved as
/etc/X11/wmconfig/rc.config.rpmorig
warning: /etc/X11/wmconfig/rc.functions saved as
/etc/X11/wmconfig/rc.functions.rpmorig
warning: /etc/X11/wmconfig/rc.goodstuff saved as
/etc/X11/wmconfig/rc.goodstuff.rpmorig
warning: /etc/X11/wmconfig/rc.menus saved as
/etc/X11/wmconfig/rc.menus.rpmorig
warning: /etc/X11/wmconfig/rc.menus.exclude saved as
/etc/X11/wmconfig/rc.menus.exclude.rpmorig
warning: /etc/X11/wmconfig/rc.modules saved as
/etc/X11/wmconfig/rc.modules.rpmorig
warning: /etc/X11/wmconfig/rc.options saved as
/etc/X11/wmconfig/rc.options.rpmorig
warning: /etc/X11/wmconfig/rc.styles saved as
/etc/X11/wmconfig/rc.styles.rpmorig
warning: /etc/X11/wmconfig/xinitrc saved as
/etc/X11/wmconfig/xinitrc.rpmorig
warning: /etc/X11/wmconfig/xsessionrc saved as
/etc/X11/wmconfig/xsessionrc.rpmorig
wmconfig                    #######################
Program received signal SIGSEGV, Segmentation fault.
0x809c54f in chunk_free (ar_ptr=0x80d9494, p=0x810ab40) at
malloc.c:2959
malloc.c:2959: No such file or directory.
(gdb)

Comment 1 Jeff Johnson 1999-03-27 00:47:59 UTC
Try upgrading to rpm-2.5.6 available from ftp.rpm.org.
If problem persists, please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.